Bug 92005 - Fonts filenames with spaces in the names make various bits of X explode.
Summary: Fonts filenames with spaces in the names make various bits of X explode.
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-30 23:00 UTC by Mike A. Harris
Modified: 2007-04-18 16:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 05:37:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike A. Harris 2003-05-30 23:00:42 UTC
The various bits of X that deal with font files, do not handle filenames
with spaces in them, which causes users grief, especially when dropping in
font files from Windows and other OSs which generally use spaces in filenames
gratuitously.

This is a long standing problem in X11, which is probably very trivial to
fix once all the places are isolated.  An upstream bug report is tracking
this as well:

    http://bugs.xfree86.org//cgi-bin/bugzilla/show_bug.cgi?id=296

This would be nice to have fixed for the next release of XFree86, and our
next OS release.

Comment 1 Mike A. Harris 2003-08-15 22:18:45 UTC
Deferring for future development

Comment 2 Mike A. Harris 2004-03-09 22:32:12 UTC
Upstream bug report moved from xfree86.org to freedesktop.org
bugzilla.

http://freedesktop.org/cgi-bin/bugzilla/show_bug.cgi?id=293


Note You need to log in before you can comment on or make changes to this bug.